//
//	Copr. (C) 1990-1993 A. Schmitt. All Rights Reserved.
//
#define STRICT
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include "datevld.h"

//
//	returns name of the day of the week
//

LPSTR FAR PASCAL dayName(LONG lJDate)
{
	char *szDays[] = {
					"Friday",
					"Saturday",
					"Sunday",
					"Monday",
					"Tuesday",
					"Wednesday",
					"Thursday"
				   };

	if (lJDate <= 0L)
		return (LPSTR)"";

	return (LPSTR) szDays[dayOfWeek(lJDate)];
}

int FAR PASCAL dayNameEx(HINSTANCE hinst,
						 UINT idResource,
						 LPSTR lpszBuffer,
						 int cbBuffer,
						 LONG lJDate)

{
	int nDayOfWeek;

	if (lJDate <= 0L)
	{
		_fstrcpy(lpszBuffer, "");
		return 0;
    }

	nDayOfWeek = dayOfWeek(lJDate);
	return LoadString(hinst,
					  idResource + nDayOfWeek,
					  lpszBuffer,
					  cbBuffer);
}

